<!--
  ~ Copyright (c) 2024 LOBA
  ~ 
  ~ Permission is hereby granted, free of charge, to any person obtaining a copy of
  ~ this software and associated documentation files (the "Software"), to deal in
  ~ the Software without restriction, including without limitation the rights to
  ~ use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
  ~ the Software, and to permit persons to whom the Software is furnished to do so,
  ~ subject to the following conditions:
  ~ 
  ~ The above copyright notice and this permission notice shall be included in all
  ~ copies or substantial portions of the Software.
  ~ 
  ~ THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
  ~ IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
  ~ FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
  ~ COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
  ~ IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
  ~ CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
  ~ 
  ~ SPDX-License-Identifier: MIT
  ~ 
  ~ Contributors:
  ~     [name] - [contribution]
-->

<template>
    <div class="card-folder has-checkbox">
        <!-- checkbox -->
        <!-- Artifacts -->
        <div class="card-folder-top">
            <div class="card-folder-checkbox">
                <label class="form-group-checkbox"><input type="checkbox">
                    <div class="checkbox__checkmark"></div>
                </label>
            </div>
            <div class="card-folder-title">{{ domain.name }}</div>
            <div class="card-folder-text">{{ domain.description }}</div>
        </div>
        <div class="card-folder-bottom">
            <div class="card-folder-total">
                <p>Artifacts<span>0</span></p>
            </div>
            <div class="card-folder-total">
                <p>Datasets<span>0</span></p>
            </div>
            <div class="card-folder-total">
                <p>Data Products<span>0</span></p>
            </div>
            <div class="card-folder-total">
                <p>Terms<span>0</span></p>
            </div>
            <div class="card-folder-total">
                <p>Vocabularies<span>0</span></p>
            </div>
            <div class="card-folder-buttons">
                <div class="button button-icon small-btn"><i class="icon-ball_hamb"></i></div>
                <!-- active favourite -->
                <div class="button button-icon small-btn favourite"><i class="icon-favourites-line"></i></div>
            </div>
        </div>
    </div>
</template>

<script setup lang="ts">
const { domain } = defineProps(['domain']);
</script>